summaryrefslogtreecommitdiff
path: root/tests/smv/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/smv/run-test.sh')
-rwxr-xr-xtests/smv/run-test.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/smv/run-test.sh b/tests/smv/run-test.sh
new file mode 100755
index 00000000..c61f67d3
--- /dev/null
+++ b/tests/smv/run-test.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -ex
+
+rm -rf temp
+mkdir -p temp
+
+../../yosys -p 'test_cell -muxdiv -w temp/test all'
+rm -f temp/test_{alu,fa,lcu,lut,macc}_*
+
+cat > temp/makefile << "EOT"
+all: $(addsuffix .ok,$(basename $(wildcard temp/test_*.il)))
+%.ok: %.il
+ bash run-single.sh $(basename $<)
+ touch $@
+EOT
+
+${MAKE:-make} -f temp/makefile
+